interface LoggerBackend {
    info(msg: string, ...args: unknown[]): void;
    warn(msg: string, ...args: unknown[]): void;
    error(msg: string, ...args: unknown[]): void;
    debug?(msg: string, ...args: unknown[]): void;
}
declare function initLogger(backend?: LoggerBackend, debug?: boolean): void;
declare const log: {
    info(msg: string, ...args: unknown[]): void;
    warn(msg: string, ...args: unknown[]): void;
    error(msg: string, err?: unknown): void;
    debug(msg: string, ...args: unknown[]): void;
};

export { type LoggerBackend, initLogger, log };
